<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Tablas</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section class='portada' data-bespoke-state='portada'>
      <h1>Tablas</h1>
    </section>   

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">table</span></h2>
      <ul class="lista">
        <li>Elemento de bloque</li>
        <li>Requiere de 2 etiquetas más:
          <ul>
            <li><span class="etiqueta">tr</span>: fila (row)</li>
            <li><span class="etiqueta">td</span>: celda (data)</li>
          </ul>
        </li>
      </ul>
      
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">table</span>
  <span class="etiqueta">tr</span>
    <span class="etiqueta">td</span>Celda 1-1<span class="etiqueta">/td</span>
    <span class="etiqueta">td</span>Celda 1-2<span class="etiqueta">/td</span>  
  <span class="etiqueta">/tr</span>
  <span class="etiqueta">tr</span>
    <span class="etiqueta">td</span>Celda 1-1<span class="etiqueta">/td</span>
    <span class="etiqueta">td</span>Celda 1-2<span class="etiqueta">/td</span>  
  <span class="etiqueta">/tr</span>
<span class="etiqueta">/table</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <table class="font-size2 text-left">
          <tr>
            <td>Celda 1-1</td>
            <td>Celda 1-2</td>
          </tr>
          <tr>
            <td>Celda 2-1</td>
            <td>Celda 2-2</td>
          </tr>
        </table>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">th</span></h2>
      <ul class="lista">
        <li>Celda de cabecera (header)</li>
        <li>Suele ir en la primera fila</li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">table</span>
  <span class="etiqueta">tr</span>
    <span class="etiqueta">th</span>Header 1-1<span class="etiqueta">/th</span>
    <span class="etiqueta">th</span>Header 1-2<span class="etiqueta">/th</span>  
  <span class="etiqueta">/tr</span>
  <span class="etiqueta">tr</span>
    <span class="etiqueta">th</span>Header 2-1<span class="etiqueta">/th</span>
    <span class="etiqueta">td</span>Celda 2-2<span class="etiqueta">/td</span>  
  <span class="etiqueta">/tr</span>
  <span class="etiqueta">tr</span>
    <span class="etiqueta">th</span>Header 3-1<span class="etiqueta">/th</span>
    <span class="etiqueta">td</span>Celda 3-2<span class="etiqueta">/td</span>  
  <span class="etiqueta">/tr</span>
<span class="etiqueta">/table</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <table class="font-size2 text-left">
          <tr>
            <th>Header 1-1</th>
            <th>Header 1-2</th>
          </tr>
          <tr>
            <th>Header 2-1</th>
            <td>Celda 2-2</td>
          </tr>
          <tr>
            <th>Header 3-1</th>
            <td>Celda 3-2</td>
          </tr>
        </table>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Combinar celdas</h2>
      <ul class="lista">
        <li><span class="atributo">colspan</span>, número columnas que abarca</li>
        <li><span class="atributo">rowspan</span>, número de filas que abarca</li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">table</span>
  <span class="etiqueta">tr</span>
    <span class="etiqueta">td <span class="atributo">colspan=</span><span class="valor">"2"</span></span>Colspan 2<span class="etiqueta">/td</span>
  <span class="etiqueta">/tr</span>
  <span class="etiqueta">tr</span>
    <span class="etiqueta">td <span class="atributo">rowspan=</span><span class="valor">"2"</span></span>Rowspan 2<span class="etiqueta">/td</span>
    <span class="etiqueta">td</span>Celda 2-2<span class="etiqueta">/td</span>  
  <span class="etiqueta">/tr</span>
  <span class="etiqueta">tr</span>
    <span class="etiqueta">td</span>Celda 3-2<span class="etiqueta">/td</span>  
  <span class="etiqueta">/tr</span>
<span class="etiqueta">/table</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <table class="font-size2 text-left">
          <tr>
            <td colspan="2">Colspan 2</td>
          </tr>
          <tr>
            <td rowspan="2">Rowspan 2</td>
            <td>Celda 2-2</td>
          </tr>
          <tr>
            <td>Celda 3-2</td>
          </tr>
        </table>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Estructurar zonas</h2>
      <ul class="lista">
        <li>Permiten definir zonas de la tabla</li>
        <li>Todas son hijas de <span class="etiqueta">table</span></li>
        <li> Etiquetas
          <ul>
            <li><span class="etiqueta">thead</span>, cabecera, parte superior</li>
            <li><span class="etiqueta">tbody</span>, cuerpo, parte central</li>
            <li><span class="etiqueta">tfoot</span>, pie de tabla, parte inferior</li>
            <li><span class="etiqueta">caption</span>, título, separada a la tabla</li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">table</span>
  <span class="etiqueta">caption</span>
    Gastos familiares
  <span class="etiqueta">/caption</span>
  <span class="etiqueta">thead</span>
    <span class="etiqueta">tr</span>
      <span class="etiqueta">th</span>Compra<span class="etiqueta">/th</span>
      <span class="etiqueta">th</span>Fecha<span class="etiqueta">/th</span>
      <span class="etiqueta">th</span>Precio (€)<span class="etiqueta">/th</span>
    <span class="etiqueta">/tr</span>
  <span class="etiqueta">/thead</span>
  <span class="etiqueta">tfoot</span>
    <span class="etiqueta">tr</span>
      <span class="etiqueta">th</span>colspan="2">Total<span class="etiqueta">/th</span>
      <span class="etiqueta">td</span>118<span class="etiqueta">/td</span>
    <span class="etiqueta">/tr</span>
  <span class="etiqueta">/tfoot</span>
  <span class="etiqueta">tbody</span>
    <span class="etiqueta">tr</span>
    <span class="etiqueta">td</span>Peluquería<span class="etiqueta">/td</span></code></pre>
      </div>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code>      <span class="etiqueta">td</span>12/09<span class="etiqueta">/td</span>
      <span class="etiqueta">td</span>30<span class="etiqueta">/td</span>
    <span class="etiqueta">/tr</span>
    <span class="etiqueta">tr</span>
      <span class="etiqueta">td</span>Restaurante<span class="etiqueta">/td</span>
      <span class="etiqueta">td</span>12/09<span class="etiqueta">/td</span>
      <span class="etiqueta">td</span>18<span class="etiqueta">/td</span>
    <span class="etiqueta">/tr</span>
    <span class="etiqueta">tr</span>
      <span class="etiqueta">td</span>Calzado<span class="etiqueta">/td</span>
      <span class="etiqueta">td</span>13/09<span class="etiqueta">/td</span>
      <span class="etiqueta">td</span>65<span class="etiqueta">/td</span>
    <span class="etiqueta">/tr</span>
    <span class="etiqueta">tr</span>
      <span class="etiqueta">td</span>Supermercado<span class="etiqueta">/td</span>
      <span class="etiqueta">td</span>13/09<span class="etiqueta">/td</span>
      <span class="etiqueta">td</span>5<span class="etiqueta">/td</span>
    <span class="etiqueta">/tr</span>
  <span class="etiqueta">/tbody</span>
<span class="etiqueta">/table</span></code></pre>
      </div>
    </section>
    <section data-bespoke-state='clean'>
      <div>
        <h4>Resultado:</h4>
        <table style="margin: 2em auto;">
          <caption>
            Gastos familiares
          </caption>
          <thead>
            <tr>
              <th>Compra</th>
              <th>Fecha</th>
              <th>Precio (€)</th>
            </tr>
          </thead>
          <tfoot>
            <tr>
              <th colspan="2">Total</th>
              <td>118</td>
            </tr>
          </tfoot>
          <tbody>
            <tr>
              <td>Peluquería</td>
              <td>12/09</td>
              <td>30</td>
            </tr>
            <tr>
              <td>Restaurante</td>
              <td>12/09</td>
              <td>18</td>
            </tr>
            <tr>
              <td>Calzado</td>
              <td>13/09</td>
              <td>65</td>
            </tr>
            <tr>
              <td>Supermercado</td>
              <td>13/09</td>
              <td>5</td>
            </tr>
          </tbody>
        </table>
      </div>
    </section>

  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>